package scopes_test

import (
	tbase "testing"

	"git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/testing"
	"git.sr.ht/~cco/go-scopes/tests/etc"
)

func TestConfig(tb *tbase.T) {
	t := testing.SetUp(tb)
	t.Run("config", ConfigTest)
}

func ConfigTest(t *testing.T) {
	scopes.Setup()
	t.AssertEqual(etc.Config().Name, "dummy")
	t.AssertEqual(etc.Override()[etc.NAME], "overridden")
}
